﻿using System;
using Telerik.Windows.Controls.Map;

namespace UsingDeepZoomComposerImages
{
	public class DeepZoomProvider : TiledProvider
	{
		/// <summary>
		/// Initializes a new instance of the LocalhostProvider class.
		/// </summary>
		/// <param name="tileUriFormat">Format string to access tiles on the localhost.</param>
		public DeepZoomProvider(string tileUriFormat)
			: base()
		{
			DeepZoomTileSource source = new DeepZoomTileSource(tileUriFormat);
			this.MapSources.Add(source.UniqueId, source);
		}

		/// <summary>
		/// Returns the SpatialReference for the map provider.
		/// </summary>
		public override ISpatialReference SpatialReference
		{
			get
			{
				return new MercatorProjection();
			}
		}
	}
}
